Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Deploy Job Preview

PUT/transforms/{transforms_id}/deploy-job-preview/{version_id}
Authorization
AuthorizationBearer token · headerrequired
Path parameters
transforms_idstringrequired
version_idstringrequired
Query parameters
replay_windowstring
default: ""
Responses
200

Successful Response

Any of:
TransformsMapFilterImplementation
languageTransformLanguageEnumrequired
Allowed:PYTHONJAVASCRIPTSQL
value_transformstringrequired
key_transformstring | any
Show properties
Any of:
string
string
any
any
topic_transformstring | any
Show properties
Any of:
string
string
any
any
common_transformstring | any
Show properties
Any of:
string
string
any
any
value_schema_transformstring | any
Show properties
Any of:
string
string
any
any
key_schema_transformstring | any
Show properties
Any of:
string
string
any
any
unit_testTransformsUnitTest | any
Show properties
Any of:
TransformsUnitTest
test_namestringrequired
input__jsonTransformsImplementationDetailsTestRecord[]required
Show properties
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | any
Show properties
Any of:
object
object
any
any
timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
output__jsonTransformsImplementationDetailsTestRecord[]required
Show properties
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | any
Show properties
Any of:
object
object
any
any
timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
result__jsonTransformsImplementationDetailsTestRecord[] | any
Show properties
Any of:
TransformsImplementationDetailsTestRecord[]
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | any
Show properties
Any of:
object
object
any
any
timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
is_successboolean | any
Show properties
Any of:
boolean
boolean
any
any
html_diffstring | any
Show properties
Any of:
string
string
any
any
text_diffstring | any
Show properties
Any of:
string
string
any
any
any
any
TransformsEnrichAsyncImplementation
languageTransformLanguageEnumrequired
Allowed:PYTHONJAVASCRIPTSQL
value_transformstringrequired
key_transformstring | any
Show properties
Any of:
string
string
any
any
topic_transformstring | any
Show properties
Any of:
string
string
any
any
common_transformstring | any
Show properties
Any of:
string
string
any
any
value_schema_transformstring | any
Show properties
Any of:
string
string
any
any
key_schema_transformstring | any
Show properties
Any of:
string
string
any
any
unit_testTransformsUnitTest | any
Show properties
Any of:
TransformsUnitTest
test_namestringrequired
input__jsonTransformsImplementationDetailsTestRecord[]required
Show properties
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | any
Show properties
Any of:
object
object
any
any
timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
output__jsonTransformsImplementationDetailsTestRecord[]required
Show properties
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | any
Show properties
Any of:
object
object
any
any
timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
result__jsonTransformsImplementationDetailsTestRecord[] | any
Show properties
Any of:
TransformsImplementationDetailsTestRecord[]
Array of TransformsImplementationDetailsTestRecord
topicstringrequired
valueobjectrequired
keyobject | any
Show properties
Any of:
object
object
any
any
timestampstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
is_successboolean | any
Show properties
Any of:
boolean
boolean
any
any
html_diffstring | any
Show properties
Any of:
string
string
any
any
text_diffstring | any
Show properties
Any of:
string
string
any
any
any
any
async_timeout_msinteger
default: 2000
async_capacityinteger
default: 10
TransformsJoinImplementation
inputTablesTransformInputTable[]
Show properties
Array of TransformInputTable
namestringrequired
topicMatcherRegexstringrequired
createTableSQLstring | any
Show properties
Any of:
string
string
any
any
joinSQLstringrequired
keyFieldsstring[]
stateTtlMsstring | any
Show properties
Any of:
string
string
any
any
TransformsEnrichImplementation
mainTableTransformInputTablerequired
Show properties
namestringrequired
topicMatcherRegexstringrequired
createTableSQLstring | any
Show properties
Any of:
string
string
any
any
lookupTableTransformInputTablerequired
Show properties
namestringrequired
topicMatcherRegexstringrequired
createTableSQLstring | any
Show properties
Any of:
string
string
any
any
enrichSQLstringrequired
TransformsTopicRouterImplementation
topic_prefixstring

Deprecated - kept for backwards compat with existing DB records

default: ""
kc_cluster_idstring | any

KC cluster to deploy the connector to

Show properties
Any of:
string
string
any
any
any
any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PUT "https://api.streamkap.com/transforms/string/deploy-job-preview/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "language": "PYTHON",
  "value_transform": "string",
  "key_transform": "string",
  "topic_transform": "string",
  "common_transform": "string",
  "value_schema_transform": "string",
  "key_schema_transform": "string",
  "unit_test": {
    "test_name": "string",
    "input__json": [
      {
        "topic": "string",
        "value": {},
        "key": {},
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "output__json": [
      {
        "topic": "string",
        "value": {},
        "key": {},
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "result__json": [
      {
        "topic": "string",
        "value": {},
        "key": {},
        "timestamp": "2019-08-24T14:15:22Z"
      }
    ],
    "is_success": true,
    "html_diff": "string",
    "text_diff": "string"
  }
}